<!doctype html>
<html lang="en" style="height: 100%;">
  <head>
    <meta charset="utf-8">
    <title>Eclipse Foundation Chat Service</title>
    <link rel="apple-touch-icon" href="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-200x200.png">
    <link rel="manifest" href="manifest.json">
    <meta name="referrer" content="no-referrer">
    <link rel="shortcut icon" href="https://www.eclipse.org/favicon.ico">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="apple-mobile-web-app-title" content="Eclipse Foundation Chat Service ">
    <meta name="application-name" content="Eclipse Foundation Chat Service ">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="msapplication-TileImage" content="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-200x200.png">
    <meta name="msapplication-config" content="/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <meta property="og:image" content="<%= og_image_url %>" />
    <!-- specific eclipse-->
    <meta property="og:title" content="The Community for Open Innovation and Collaboration | The Eclipse Foundation">
    <meta property="og:description" content="The Eclipse Foundation provides our global community of individuals and organizations with a mature, scalable, and business-friendly environment for open source …">
    <meta property="og:url" content="https://chat.eclipse.org/">
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="Eclipse Foundation Chat Service">
    <meta name="keywords" content="eclipse,project,plug-ins,plugins,java,ide,swt,refactoring,free java ide,tools,platform,open source,development environment,development,ide,eclipse foundation">
    <!-- end specific eclipse-->
    <meta http-equiv="Content-Security-Policy" content="
        default-src 'none';
        style-src 'self' 'unsafe-inline' ;
        script-src 'self' 'wasm-unsafe-eval' 'nonce-1982c7g26c' https://www.recaptcha.net/recaptcha/ https://www.gstatic.com/recaptcha/ ;
        img-src * blob: data:;
        connect-src * blob:;
        font-src 'self' data: ;
        media-src * blob: data:;
        child-src * blob: data:;
        worker-src 'self' blob: ;
        frame-src * blob: data:;
        form-action 'self' ;
        manifest-src 'self' ;
    ">
    <% for (var i=0; i < htmlWebpackPlugin.files.css.length; i++) {
        var file = htmlWebpackPlugin.files.css[i];
        var match = file.match(/^bundles\/.*?\/theme-(.*)\.css$/);
        if (match) {
            var title = match[1].charAt(0).toUpperCase() + match[1].slice(1);
        %>
           <link rel="stylesheet" disabled="disabled" data-mx-theme="<%= title %>" title="<%= title %>" href="<%= file %>">
        <% } else { %>
           <link rel="stylesheet" href="<%= file %>">
        <% }
    } %>

    <% for (const tag of htmlWebpackPlugin.tags.headTags) {
        let path = tag.attributes && tag.attributes.href;
        if (path && path.includes("/Inter/")) { %>
            <link rel="preload" as="font" href="<%= path %>" crossorigin="anonymous"/>
        <% }
    } %>
    <script nonce="1982c7g26c">
        // Specific to home.html
        function updateMatrixLinks(serverName) {
            ['general', 'project', 'support'].forEach(function(room) {
                let link = document.getElementById('matrix-link-' + room);
                if (link != null) {
                    link.href = '/#/room/#eclipsefdn.chat-' + room + ':' + encodeURIComponent(serverName);
                }
            });
        }

        function updateBanner(message){
            if (message){
                const broadcastHeader = document.getElementById("broadcast-header"); 
                broadcastHeader.style.visibility = "visible";
                broadcastHeader.style.height = "3%";

                const broadcastMessage = document.getElementById("broadcast-message"); 
                broadcastMessage.textContent = message;

                const matrixchatSection = document.getElementById("matrixchat-section"); 
                matrixchatSection.style.height = "94%";
            }
        }
   
        function handleRequestResponse(request) {
            if (request.status >= 200 && request.status < 400) {
                init(request);
            } else {
                console.warn('HomePage Request failed!');
                makeDefaultRequest();
            }
        }

        function makeDefaultRequest() {
            let defaultRequest = new XMLHttpRequest();
            defaultRequest.open('GET', '/config.json', true);

            defaultRequest.onload = function() {
                if (defaultRequest.status >= 200 && defaultRequest.status < 400) {
                    init(defaultRequest);
                } else {
                    console.error('Default request failed!');
                }
            };

            defaultRequest.onerror = function() {
                console.error('Default request failed!');
            };

            defaultRequest.send();
        }

        function init(request){
            let data = JSON.parse(request.responseText);
            let matrixServer = data.default_server_config["m.homeserver"].server_name;
            let message = data.broadcast;
            updateMatrixLinks(matrixServer);
            updateBanner(message);

            if(data.redirectRegistrer){
                redirectRegister(data.redirectRegistrer);
                window.addEventListener('hashchange', function(event) {
                    redirectRegister(data.redirectRegistrer);
                });
            }
        }

        function redirectRegister(url){
            if(window.location.hash == "#/register"){
                window.location = url;           
            }
        }

        setTimeout(function() {
            let request = new XMLHttpRequest();
            let dns = window.location.hostname;

            request.open('GET', '/config.' + dns + '.json', true);

            request.onload = function() {
                handleRequestResponse(request);                
            };

            request.onerror = function() {
                console.warn('HomePage Request failed!');
                makeDefaultRequest();
            };

            request.send();
        }, 1000);

    </script>
    <style>
        .footer-message {
            background-color: #AFAFAE;
            color: #3D3C3B;
            display: flex;
            position: fixed;
            border: 0;
            bottom: 0;
            left: 0;
            right: 0;
            width: 100%;
            align-items: center;
        }

        .footer-message a {
            color: #3D3C3B;
            text-decoration: none;
            font-weight: bold;
        }
        .footer-message a:hover {
            color: #fff;
            text-decoration: none;
        }

        .footer-message-element {
            padding: .4em 3em;
        }

        .mx_HomePage_body {
            width: 100%;
        }

        .mx_Parent {
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            -webkit-flex-direction: column;
            -ms-flex-direction: column;
            flex-direction: column;
            /* -webkit-box-pack: center;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center; */
            /* text-align: center; */
            padding: 0 35px;
            color: #2e2f32;
            width: 35em;
            height: 12em;
            margin: 5em 0em 8em 0em;
        }

        .mx_AuthBody h2 {
            color: #2e2f32;
        }

        .mx_AuthBody {
            color: #2e2f32;
            background: rgba(0, 0, 0, 0);
            width: 60em;
        }

        .mx_AuthBody_language {
            position: absolute;
            top: 0;
            right: 0;
            width: auto;
        }

        .mx_AuthPage_modal {
            margin: 100px auto auto !important;
        }

        .mx_AuthPage_modalContent {
            position: absolute;
            padding: 3em 3em;
            margin-top: -9em;
            border-radius: 0 0 20px 20px !important;
            width: 40em;
            /* background: #DCDBD9 !important; */
        }

        .mx_AuthPage {
            background-size: 100% !important;
            background-repeat: no-repeat !important;
            background-position-y: bottom !important;
        }

        .mx_ButtonGroup {
            position: absolute;
            bottom: 0;
            margin: 3em;
            padding-left: 1.2em;
        }

        .mx_logo {
            height: 150px;
        }

        .mx_AuthHeaderLogo {
            position: fixed;
            top: 4em;
            left: 11em;
        }

        .mx_AuthHeaderLogo img {
            height: 150px;            
        }

        .mx_AuthHeader {
            width:auto;
            padding: 0;
        }

        .mx_AuthBody_changeFlow span div.mx_AccessibleButton.mx_AccessibleButton_hasKind.mx_AccessibleButton_kind_link_inline{
            /* display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex; 
            padding: 10px 20px;*/
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
            -webkit-flex-direction: row;
            -ms-flex-direction: row;
            flex-direction: row;
            -webkit-box-pack: center;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;
            border-radius: 20px;
            width: 150px;
            background-repeat: no-repeat;
            background-position: 10px center;
            text-decoration: none;
            background-image: url('welcome/images/icon-create-account.svg');
            background-color: #050505;
            color: white !important;
            padding: 1em 2em 1em 3em;
        }

        .mx_Login_submit{
            /* display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex; 
            padding: 10px 20px;*/
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
            -webkit-flex-direction: row;
            -ms-flex-direction: row;
            flex-direction: row;
            -webkit-box-pack: center;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;
            border-radius: 20px;
            width: auto;
            background-repeat: no-repeat;
            background-position: 10px center;
            text-decoration: none;
            background-image: url('welcome/images/icon-sign-in.svg');
            background-color: #F27509;
            color: white !important;
            padding: .5em 2em 1em 3em;
        }

        .mx_AccessibleButton.mx_AccessibleButton_kind_link, .mx_AccessibleButton.mx_AccessibleButton_kind_link_inline {
            color: #2E2F32;
        }

        .mx_ConfirmSessionLockTheftView_body {
            color: #2e2f32;
        }

        body {
            background: #EAE8E8;
        }

        h1 {
            font-size: 2.5em;
        }

        @media screen and (max-width: 1400px) {

            .mx_AuthPage_modalContent{
                padding: 3em 0;
            }
        }

        @media screen and (max-width: 1268px) {
            .mx_AuthHeaderLogo {
                left: 1em;
            }

            .mx_AuthPage_modalContent{
                padding: 3em 0;
            }
        }

        @media screen and (max-width: 968px) {
            .mx_AuthPage, .mx_AuthPage_modal {
                justify-content: center;
            }
            .mx_AuthHeaderLogo {
                position: inherit;
            }
            .mx_Parent {
                margin-top: 0;
            }
            .mx_AuthPage_modalContent{
                padding: 3em 0;
            }
        }

        @media only screen and (max-width: 480px) {

            .mx_AuthPage_modalContent{
                width: 15em;
                padding: 3em;
            }

            .mx_Parent{
                width: 15em;
            }

            .mx_ButtonGroup{
                margin: 0;
                padding: 0;
            }

            h1 {
                font-size: 1.5em;
            }
        }

    </style>
  </head>
  <body style="height: 100%; margin: 0;">
    
    <noscript>Sorry, Element requires JavaScript to be enabled.</noscript> <!-- TODO: Translate this? -->
    <div id="matrix-ef-body" style="height: 100%;" >
        <div id="broadcast-header" style="background-color: #f7941e;display: flex;height: 0em;border: 0;bottom: 0;line-height: 0.1em;width: 100%;visibility: hidden;">
            <p id="broadcast-message" style="text-align: center;width: 100%;z-index: 10; color: #3D3C3B;">
            </p>
        </div> 
        <div id="matrixchat-section" style="height: 97%;">
            <div id="matrixchat" style="height: 100%;" class="notranslate"></div>
        </div>
        <div class="footer-message" style="height: 3%;">
            <div class="footer-message-element" style="margin-right: auto;">
                <a href="https://www.eclipse.org" aria-label="Read more about Seminole tax hike" rel="nofollow noreferrer noopener" target="_blank">Eclipse.org</a> | 
                <a href="https://www.eclipse.org/legal/privacy.php" rel="nofollow noreferrer noopener" target="_blank">Privacy Policy</a> | 
                <a href="https://www.eclipse.org/legal/termsofuse.php" rel="nofollow noreferrer noopener" target="_blank">Terms of Use</a> | 
                <a href="https://www.eclipse.org/legal/copyright.php" rel="nofollow noreferrer noopener" target="_blank">Copyright Agent</a> | 
                <a href="https://www.eclipse.org/org/documents/Community_Code_of_Conduct.php" rel="nofollow noreferrer noopener" target="_blank">Code of conduct</a>
            </div>
            <div class="footer-message-element" style="margin-left: auto; font-weight: bold;">
                Copyright © Eclipse Foundation, Inc. All Rights Reserved.
            </div>
        </div>
    </div> 

<%
    // insert <script> tags for the JS entry points
    for (let file of htmlWebpackPlugin.files.js) {
        if (file.includes("bundle.js") || file.includes("unhomoglyph_data")) {
%>    <script src="<%= file %>"></script>
<%
        }
    }
%>

    <!-- Legacy supporting Prefetch images -->    
    <img src="<%= require('../../res/img/warning.svg').default %>" aria-hidden alt="" width="24" height="23" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('../../res/img/e2e/warning.svg').default %>" aria-hidden alt="" width="24" height="23" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('@vector-im/compound-design-tokens/icons/warning.svg').default %>" aria-hidden alt="" width="24" height="23" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('@vector-im/compound-design-tokens/icons/bold.svg').default %>" aria-hidden alt="" width="25" height="22" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('@vector-im/compound-design-tokens/icons/inline-code.svg').default %>" aria-hidden alt="" width="25" height="22" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('@vector-im/compound-design-tokens/icons/italic.svg').default %>" aria-hidden alt="" width="25" height="22" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('@vector-im/compound-design-tokens/icons/quote.svg').default %>" aria-hidden alt="" width="25" height="22" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    <img src="<%= require('@vector-im/compound-design-tokens/icons/strikethrough.svg').default %>" aria-hidden alt="" width="25" height="22" style="visibility: hidden; position: absolute; top: 0px; left: 0px;"/>
    
    <!-- let CSS themes pass constants to the app -->
    <div id="mx_theme_accentColor"></div><div id="mx_theme_secondaryAccentColor"></div><div id="mx_theme_tertiaryAccentColor"></div>

    <!-- We eagerly create these containers to ensure their CSS stacking context order is sensible -->
    <div id="mx_PersistedElement_container"></div>
    <div id="mx_Dialog_StaticContainer"></div>
    <div id="mx_Dialog_Container"></div>
    <div id="mx_ContextualMenu_Container"></div>
  </body>
</html>